package cz.muni.fi.exercise;

/**
 * Exercise class represents exercise. 
 * 
 * @author Franta
 */
public class Exercise implements java.io.Serializable {
    
    private int ID;

    private enum ExerciseType {dtd, xsl, xpath, schema, xquery}; //types of exercices
    private ExerciseType exericseType;
    
    private int showExpectedResult;
    
    private String task = "";                   //task text
    private String taskXML = "";                //task XML
    private String inputXML = "";               //partial solution XML
    private String result = "";                 //resutl text
    private String resultXML = "";              //result XML
    private String outputXML = "";              //generated XML
    private String expectedResult = "";         //expected result text
    private String expectedResultXML = "";      //expected result XML

    public void setID(int ID) {
        this.ID = ID;
    }

    public int getID() {
        return ID;
    }    

    public String getExericseType() {
        return exericseType.toString();
    }

    public void setExericseType(String exericseType) {
        
        if (exericseType.equals("dtd")) {
            this.exericseType = ExerciseType.dtd;
        } else if (exericseType.equals("xsl")) {
            this.exericseType = ExerciseType.xsl;
        } else if (exericseType.equals("xpath")) {
            this.exericseType = ExerciseType.xpath;
        } else if (exericseType.equals("schema")) {
            this.exericseType = ExerciseType.schema;
        } else if (exericseType.equals("xquery")) {
            this.exericseType = ExerciseType.xquery;
        } else {
            this.exericseType = null;
        }
        
    }

    public int getShowExpectedResult() {
        return showExpectedResult;
    }

    public void setShowExpectedResult(int showExpectedResult) {
        this.showExpectedResult = showExpectedResult;
    }
    
    public void setShowExpectedResult(String showExpectedResult) {
        this.showExpectedResult = Integer.parseInt(showExpectedResult);
    } 

    public String getTask() {
        return task;
    }

    public void setTask(String task) {
        this.task = task;
    }

    public String getTaskXML() {
        return taskXML;
    }

    public void setTaskXML(String taskXML) {
        this.taskXML = taskXML;
    }

    public String getInputXML() {
        return inputXML;
    }

    public void setInputXML(String inputXML) {
        this.inputXML = inputXML;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getResultXML() {
        return resultXML;
    }

    public void setResultXML(String resultXML) {
        this.resultXML = resultXML;
    }

    public String getOutputXML() {
        return outputXML;
    }

    public void setOutputXML(String outputXML) {
        this.outputXML = outputXML;
    }

    public String getExpectedResult() {
        return expectedResult;
    }

    public void setExpectedResult(String expectedResult) {
        this.expectedResult = expectedResult;
    }

    public String getExpectedResultXML() {
        return expectedResultXML;
    }

    public void setExpectedResultXML(String expectedResultXML) {
        this.expectedResultXML = expectedResultXML;
    }
       
}
