package cz.muni.fi.exercise;

import java.io.Serializable;

/**
 * Class that represents identifer of user exercises entity.
 * Entity is composed by user id and exercise id that identifies the protocol.
 * 
 * @author Jiří Krejčí
 */
public class UserExerciseId implements Serializable {

    private int user_id;
    private int exercise_id;

    public UserExerciseId() {
    }
    
    public UserExerciseId(int user_id, int exercise_id) {
        this.user_id = user_id;
        this.exercise_id = exercise_id;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public int getExercise_id() {
        return exercise_id;
    }

    public void setExercise_id(int exercise_id) {
        this.exercise_id = exercise_id;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (!(obj instanceof UserExerciseId)) {
            return false;
        }
        UserExerciseId obj1 = (UserExerciseId) obj;
        return (this.user_id == obj1.getUser_id()) && (this.exercise_id == obj1.getExercise_id());

    }

    @Override
    public int hashCode() {
        int hsCode;
        Long l1 = Integer.valueOf(user_id).longValue();
        Long l2 = Integer.valueOf(exercise_id).longValue();

        hsCode = l1.hashCode() * l2.hashCode();
        return hsCode;
    }
}