package cz.muni.fi.exercise;

import cz.muni.fi.processor.AProcessor;
import cz.muni.fi.processor.XQueryProcessor;
import org.apache.wicket.request.mapper.parameter.PageParameters;

/**
 * Class for exeercise for xQuery query
 *
 * @author Jiří Krejčí
 */
public final class XQueryPage extends AExercisePage implements java.io.Serializable {

    AProcessor processor;
    Exercise exercise;

    public XQueryPage(PageParameters parameters) {
        super();

        ExerciseManager exerciseManager = new ExerciseManager();
        exercise = exerciseManager.getExercise(parameters.get("id").toOptionalInteger());

        processor = new XQueryProcessor(exercise.getTaskXML(), exercise.getInputXML(), exercise.getOutputXML());

        setTitle("XQuery výrazy");

        add(new ExerciseForm("form", processor, exercise));

    }

    @Override
    public Exercise getExercise() {
        return exercise;
    }
}