package cz.muni.fi.exercise;

import cz.muni.fi.processor.AProcessor;
import cz.muni.fi.processor.XSDSchemaProcessor;
import org.apache.wicket.request.mapper.parameter.PageParameters;

/**
 * Class for exeercise for XSD schema
 * 
 * @author Jiří Krejčí
 */
public final class XSDSchemaPage extends AExercisePage implements java.io.Serializable {

    AProcessor processor;
    Exercise exercise;

    public XSDSchemaPage(PageParameters parameters) {
        super();

        ExerciseManager exerciseManager = new ExerciseManager();
        exercise = exerciseManager.getExercise(parameters.get("id").toOptionalInteger());

        processor = new XSDSchemaProcessor(exercise.getTaskXML(), exercise.getInputXML(), exercise.getOutputXML());

        setTitle("XSD schéma");

        add(new ExerciseForm("form", processor, exercise));

    }

    @Override
    public Exercise getExercise() {
        return exercise;
    }

}