package cz.muni.fi.exercise;

import cz.muni.fi.processor.AProcessor;
import cz.muni.fi.processor.XSLProcessor;
import org.apache.wicket.request.mapper.parameter.PageParameters;

/**
 * Class for exeercise for XSL transformation
 * 
 * @author Jiří Krejčí
 */
public final class XSLPage extends AExercisePage implements java.io.Serializable {

    AProcessor processor;
    Exercise exercise;

    public XSLPage(PageParameters parameters) {
        super();

        ExerciseManager exerciseManager = new ExerciseManager();
        exercise = exerciseManager.getExercise(parameters.get("id").toOptionalInteger());

        processor = new XSLProcessor(exercise.getTaskXML(), exercise.getInputXML(), exercise.getOutputXML());

        setTitle("XSL transformace");

        add(new ExerciseForm("form", processor, exercise));

    }

    @Override
    public Exercise getExercise() {
        return exercise;
    }
}
