package cz.muni.fi.lesson;

import cz.muni.fi.hibernate.Database;
import java.util.List;

/**
 * Manager that controls Lesson
 *
 * @author Jiří Krejčí
 */
public class LessonManager {

    Database d;

    public LessonManager() {

        d = new Database();

    }

    /**
     * Method that gets Lesson fith specified id.
     *
     * @param lessonId Int value of lesson id to be get.
     * @return Lesson with specified id.
     */
    public Lesson getLesson(int lessonId) {

        return d.getLesson(lessonId);

    }

    /**
     * Method that gets Lesson with specified type.
     *
     * @param type Specified type
     * @return Lesson with specified type
     */
    public Lesson getLesson(String type) {

        return d.getLesson(type);

    }

    /**
     * Method that lists all Lessons.
     *
     * @return List of all Lessons
     */
    public List<Lesson> listAllLessons() {

        return d.listAllLessons();

    }

    /**
     * Method that updates specified Lesson
     *
     * @param lesson Lesson to be updated
     */
    public void updateLesson(Lesson lesson) {

        d.updateLesson(lesson);

    }
}