package cz.muni.fi.processor;

/**
 * Abstract class for processors.
 *
 * @author Jiří Krejčí
 */
public abstract class AProcessor implements java.io.Serializable {

    private String taskxml = "";
    private String inputXML = "";
    private String resultMessage = "";
    private String resultXML = "";
    private String outputXML = "";

    public AProcessor(String xml, String inputXML, String outputXML) {
        this.taskxml = xml;
        this.inputXML = inputXML;
        this.outputXML = outputXML;
    }

    /**
     * Method that validates input with processor.
     */
    public abstract void validate();

    /**
     * Method that returns whether the validation is correct.
     *
     * @return True if tha validation is correst, false othervise
     */
    public abstract boolean isValidationCorrect();

    /**
     * Method that gets information message.
     *
     * @return Information message as a String
     */
    public abstract String getInfoMessage();

    /**
     * Methods that gets error message.
     *
     * @return Error message as a String
     */
    public abstract String getErrorMessage();

    public String getTaskXml() {
        return taskxml;
    }

    public String getInputXML() {
        if (inputXML == null) {
            inputXML = "";
        }
        return inputXML;
    }

    protected void setXml(String xml) {
        this.taskxml = xml;
    }

    public void setInputXML(String inputXML) {
        if (inputXML == null) {
            inputXML = "";
        }
        this.inputXML = inputXML;
    }

    public String getResultMessage() {
        return resultMessage;
    }

    public String getResultXML() {
        return resultXML;
    }

    protected void setResultMessage(String resultMessage) {
        this.resultMessage = resultMessage;
    }

    protected void setResultXML(String resultXML) {
        this.resultXML = resultXML;
    }

    protected void clearResultMessage() {
        resultMessage = "";
    }

    protected void clearResultXML() {
        resultXML = "";
    }

    protected String getOutputXML() {
        return outputXML;
    }

    protected void setOutputXML(String outputXML) {
        this.outputXML = outputXML;
    }
}
