package cz.muni.fi.processor;

import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

/**
 * Class that handles Errors that occurs when processor validates.
 *
 * @author Jiří Krejčí
 */
public class ErrorHandler extends DefaultHandler {

    AProcessor processor;

    public ErrorHandler(AProcessor processor) {
        this.processor = processor;
    }

    /**
     * Sets warning message to processor.
     *
     * @param e Exeption
     */
    @Override
    public void warning(SAXParseException e) {
        processor.setResultMessage(processor.getResultMessage() + "Varování: " + e.getMessage() + "\n");
    }

    /**
     * Sets error message to processor.
     *
     * @param e Exeption
     */
    @Override
    public void error(SAXParseException e) {
        processor.setResultMessage(processor.getResultMessage() + "Chyba: " + e.getMessage() + "\n");
    }

    /**
     * Sets fatal error message to processor.
     *
     * @param e Exeption
     */
    @Override
    public void fatalError(SAXParseException e) {
        processor.setResultMessage(processor.getResultMessage() + "Závažná chyba: " + e.getMessage() + "\n");
    }
}
