package cz.muni.fi.processor;

import javax.xml.transform.TransformerException;

/**
 * Class that handles Errors that occurs when processor validates.
 *
 * @author Jiří Krejčí
 */
public class ErrorListener implements javax.xml.transform.ErrorListener {

    private AProcessor processor;

    public ErrorListener(AProcessor processor) {
        this.processor = processor;
    }

    /**
     * Sets warning message to processor.
     *
     * @param e Exeption
     * @throws TransformerException
     */
    public void warning(TransformerException e)
            throws TransformerException {
        processor.setResultMessage(processor.getResultMessage() + "Varování: " + e.getMessage() + "\n");
        throw e;
    }

    /**
     * Sets error message to processor.
     *
     * @param e Exeption
     * @throws TransformerException
     */
    public void error(TransformerException e)
            throws TransformerException {
        processor.setResultMessage(processor.getResultMessage() + "Chyba: " + e.getMessage() + "\n");
        throw e;
    }

    /**
     * Sets fatal error message to processor.
     *
     * @param e Exeption
     * @throws TransformerException
     */
    public void fatalError(TransformerException e)
            throws TransformerException {
        processor.setResultMessage(processor.getResultMessage() + "Závažná chyba: " + e.getMessage() + "\n");
        throw e;
    }
}
