package cz.muni.fi.processor;

import org.apache.commons.lang3.StringEscapeUtils;

/**
 * Class that allows to return readeble XML.
 *
 * @author Jiří Krejčí
 */
public class XMLPrinter implements java.io.Serializable {

    public XMLPrinter() {
    }

    /**
     * Method that escapes XML and replace spaces with "&nbsp;".
     *
     * @param s String to be escaped
     * @return Escaped string
     */
    public String getEscapedXML(String s) {

        String escapedXML = StringEscapeUtils.escapeXml(s);
        escapedXML = escapedXML.replaceAll(" ", "&nbsp;");
        //tmp = tmp.replaceAll("\n", "<br />");

        return escapedXML;

    }

    /**
     * Method that repaces new line with HTML new line tag
     *
     * @param s String to be repalced
     * @return String that has replaced new line with HTML new line tag
     */
    public String getReplacedNewLine(String s) {
        return s.replaceAll("\n", "<br />");
    }
}
