package cz.muni.fi.user;

import cz.muni.fi.hibernate.Database;
import java.util.List;

/**
 * Manager that controls Tag
 *
 * @author Jiří Krejčí
 */
public class TagManager implements java.io.Serializable {

    Database d;

    public TagManager() {
        d = new Database();
    }

    /**
     * Method that gets Tag with specified name
     *
     * @param name Tag name to be searched
     * @return Tag with specified name
     */
    public Tag getTag(String name) {

        if (name == null) {
            Tag t = new Tag();
            t.setName(name);
            addTag(t);
        }

        return d.getTag(name);

    }

    /**
     * Method that adds new Tag.
     *
     * @param t Tag to be added
     */
    public void addTag(Tag t) {

        d.addTag(t);

    }

    /**
     * Method that adds new Tag with specified name
     *
     * @param t Tag name to be added
     */
    public void addTag(String t) {

        Tag tag = new Tag();
        tag.setName(t);

        addTag(tag);

    }

    /**
     * Method that adds UserTag
     *
     * @param u User to be taged
     * @param t Tag to be added
     */
    public void addUserTag(User u, Tag t) {

        d.addUserTag(u, t);

    }

    /**
     * Method that lists all Tags.
     *
     * @return List od Tags.
     */
    public List<Tag> listAllTags() {

        return d.listAllTags();

    }
}
