package cz.muni.fi.user;

import org.apache.wicket.authroles.authorization.strategies.role.Roles;

/**
 * Class that represents User.
 *
 * @author Jiří Krejčí
 */
public class User implements java.io.Serializable {

    private int ID;
    private String username;
    private Long uco;
    private String password;
    private String firstname;
    private String lastname;
    private String role;

    public User() {
    }

    public int getID() {
        return ID;
    }

    public void setID(int ID) {
        this.ID = ID;
    }

    public Long getUco() {
        return uco;
    }

    public void setUco(Long uco) {
        this.uco = uco;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getFirstname() {
        return firstname;
    }

    public void setFirstname(String firstName) {
        this.firstname = firstName;
    }

    public String getLastname() {
        return lastname;
    }

    public void setLastname(String lastName) {
        this.lastname = lastName;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public Roles getRoles() {
        return new Roles(role);
    }

    public void setRoles(Roles roles) {
        this.role = roles.toString();
    }

    /**
     * Whether this user has the given role.
     *
     * @param role
     * @return whether this user has the given role
     */
    public boolean hasRole(String role) {
        return getRoles().hasRole(role);
    }

    /**
     * Whether this user has any of the given roles.
     *
     * @param roles set of roles
     * @return whether this user has any of the given roles
     */
    public boolean hasAnyRole(Roles roles) {
        return this.getRoles().hasAnyRole(roles);
    }

    /**
     * Whether the user has role Teacher
     *
     * @return True if the user has role TEACHER, false otherwise
     */
    public boolean isTeacher() {
        if (getRoles() == null) {
            return false;
        } else {
            return getRoles().toString().equals("TEACHER");
        }

    }

    /**
     * Whether the user has role Student
     *
     * @return True if the user has role STUDENT, false otherwise
     */
    public boolean isStudent() {
        if (getRoles() == null) {
            return false;
        } else {
            return getRoles().toString().equals("STUDENT");
        }

    }
}
