/**
 * Application.java
 *
 * Created on 13. duben 2013, 9:55
 */
package cz.muni.fi.wicket;

import org.apache.wicket.Session;
import org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession;
import org.apache.wicket.authroles.authentication.AuthenticatedWebApplication;
import org.apache.wicket.authroles.authorization.strategies.role.RoleAuthorizationStrategy;
import org.apache.wicket.request.Request;
import org.apache.wicket.request.Response;

/**
 * Application
 * 
 * @author Jiří Krejčí
  */
public class Application extends AuthenticatedWebApplication {

    public Application() {
    }

    public Class getHomePage() {
        return HomePage.class;
    }

    @Override
    protected void init() {
        super.init();
        getDebugSettings().setDevelopmentUtilitiesEnabled(true);

        getSecuritySettings().setAuthorizationStrategy(
                new RoleAuthorizationStrategy(new UserRolesAuthorizer()));
    }

    @Override
    protected Class<? extends AbstractAuthenticatedWebSession> getWebSessionClass() {
        return SignInSession.class;
    }

    @Override
    protected Class<? extends BasePage> getSignInPageClass() {
        return HomePage.class;
    }

    @Override
    public Session newSession(Request request, Response response) {
        return new SignInSession(request);
    }
}
