package cz.muni.fi.wicket;

import cz.muni.fi.lesson.Lesson;
import cz.muni.fi.lesson.LessonManager;
import cz.muni.fi.lesson.LessonPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;

/**
 * Class that represents menu Panel.
 *
 * @author Jiří Krejčí
 */
public class MenuPanel extends Panel {

    public MenuPanel(String componentName) {
        super(componentName);

        add(new BookmarkablePageLink("home", HomePage.class));

        PropertyModel listViewPropertyModel = new PropertyModel(this, "lessonList") {
            @Override
            public Object getObject() {

                LessonManager lessonManager = new LessonManager();

                return lessonManager.listAllLessons();

            }
        };

        add(new ListView("lessonList", listViewPropertyModel) {
            @Override
            protected void populateItem(ListItem item) {

                Lesson l = (Lesson) item.getModelObject();

                BookmarkablePageLink link;
                link = new BookmarkablePageLink("lessonLink", LessonPage.class, new PageParameters().set("type", l.getLessonType()));

                link.add(
                        new Label("lessonLinkText", l.getTitle()));

                item.add(link);
            }
        });

    }
}
