package cz.muni.fi.wicket;

import cz.muni.fi.user.User;
import cz.muni.fi.user.UserManager;
import org.apache.wicket.Session;
import org.apache.wicket.authroles.authentication.AuthenticatedWebSession;
import org.apache.wicket.authroles.authorization.strategies.role.Roles;
import org.apache.wicket.request.Request;

/**
 * Class that represents Session.
 * 
 * @author Jiří Krejčí
 */
public final class SignInSession extends AuthenticatedWebSession {

    User user = null;

    protected SignInSession(Request request) {
        super(request);
    }

    public static SignInSession get() {

        return (SignInSession) Session.get();
        
    }

    @Override
    public final boolean authenticate(final String username, final String password) {

        UserManager userManager = new UserManager();
        User dbUser = userManager.getUser(username);

        if (dbUser != null) {
            if (user == null) {

                if (dbUser.getUsername().equalsIgnoreCase(username) && dbUser.getPassword().equalsIgnoreCase(password)) {
                    user = dbUser;
                    return true;
                }
            }
        }

        return false;
    }

    @Override
    public void signOut() {
        super.signOut();

        user = null;
    }

    public User getUser() {
        return user;
    }

    @Override
    public Roles getRoles() {
        if (isSignedIn()) {
            return user.getRoles();
        }
        return null;
    }
}