package cz.muni.fi.wicket;

import cz.muni.fi.user.UserExercicesListPage;
import org.apache.wicket.Session;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.Panel;

/**
 * Class that represents Panel for Student
 *
 * @author Jiří Krejčí
 */
public final class StudentPanel extends Panel {

    public StudentPanel(String componentName) {
        super(componentName);

        add(new BookmarkablePageLink("protocols", UserExercicesListPage.class));

    }

    @Override
    public final boolean isVisible() {

        SignInSession session = (SignInSession) Session.get();
        if (session == null || session.getUser() == null) {
            return false;
        }

        return session.getUser().isStudent();

    }
}
