package cz.muni.fi.wicket;

import cz.muni.fi.user.RegistrationPeriodPage;
import cz.muni.fi.user.UseresListPage;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.Panel;

/**
 * Class that represents Pane for Teacher
 * 
 * @author Jiří Krejčí
 */
public final class TeacherPanel extends Panel {

    public TeacherPanel(String componentName) {
        super(componentName);

        add(new BookmarkablePageLink("add", AddExercisePage.class));
        add(new BookmarkablePageLink("registration", RegistrationPeriodPage.class));
        add(new BookmarkablePageLink("usersList", UseresListPage.class));

    }

    @Override
    public final boolean isVisible() {

        SignInSession session = SignInSession.get();
        if (session == null || session.getUser() == null) {
            return false;
        }
        return session.getUser().isTeacher();

    }
}
