package cz.muni.fi.wicket;

import cz.muni.fi.user.User;
import org.apache.wicket.Session;
import org.apache.wicket.authroles.authorization.strategies.role.IRoleCheckingStrategy;
import org.apache.wicket.authroles.authorization.strategies.role.Roles;

/**
 * Class that represents User role authorizer and strategy.
 *
 * @author Jiří Krejčí
 */
public class UserRolesAuthorizer implements IRoleCheckingStrategy {

    public UserRolesAuthorizer() {
    }

    public boolean hasAnyRole(Roles roles) {
        
        SignInSession authSession = (SignInSession) Session.get();
        User user = authSession.getUser();
        
        if (user == null) {
            return false;
        }
        
        return user.hasAnyRole(roles);
        
    }
}
