package cz.muni.fi.exercise;

import cz.muni.fi.lesson.LessonManager;
import cz.muni.fi.lesson.LessonPage;
import cz.muni.fi.wicket.Application;
import junit.framework.TestCase;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.apache.wicket.util.tester.WicketTester;

/**
 *
 * @author Jiří Krejčí
 */
public class XSLPageTest extends TestCase {
    
    public XSLPageTest(String testName) {
        super(testName);
    }

    /**
     * Test of render page.
     */
    public void testRenderPage() {

        System.out.println("* XSLPageTest: testRenderPage");

        Application m = new Application();

        WicketTester tester = new WicketTester(m);

        tester.startPage(LessonPage.class, new PageParameters().add("type", "xsl"));
        tester.assertRenderedPage(LessonPage.class);

    }

    /**
     * Test of render label.
     */
    public void testRenderLabels() {

        System.out.println("* XSLPageTest: testRenderLabels");

        Application m = new Application();

        WicketTester tester = new WicketTester(m);

        tester.startPage(LessonPage.class, new PageParameters().add("type", "xsl"));
        tester.assertRenderedPage(LessonPage.class);

        LessonManager lessonManager = new LessonManager();
        
        tester.assertLabel("title", lessonManager.getLesson("xsl").getTitle());
        tester.assertLabel("text", lessonManager.getLesson("xsl").getText());

    }
}