package cz.muni.fi.processor;

import junit.framework.TestCase;

/**
 *
 * @author Jiří Krejčí
 */
public class DTDProcessorTest extends TestCase {

    public DTDProcessorTest(String testName) {
        super(testName);
    }

    /**
     * Test of validate method, of class DTDProcessor.
     */
    public void testValidate() {
        System.out.println("* DTDProcessor: testValidate");
        DTDProcessor instance = new DTDProcessor("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n"
                + "\n"
                + "<bookshell>\n"
                + "  <books year=\"2000\">\n"
                + "    <book>\n"
                + "      <author>J. K. Rowling</author>\n"
                + "      <title>Harry Potter</title>\n"
                + "      <pages>1000</pages>\n"
                + "    </book>\n"
                + "  </books>\n"
                + "  <books year=\"1980\">\n"
                + "    <book>\n"
                + "      <author>O. G. Wells</author>\n"
                + "      <title>War of the worlds</title>\n"
                + "      <pages>876</pages>\n"
                + "    </book>\n"
                + "  </books>\n"
                + "</bookshell>", "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
                + "<!ELEMENT bookshell (books)+>\n"
                + "\n"
                + "<!ELEMENT books (book)+>\n"
                + "<!ATTLIST books year CDATA #REQUIRED>\n"
                + "\n"
                + "<!ELEMENT book (author+,title,pages)>\n"
                + "\n"
                + "<!ELEMENT author (#PCDATA)>\n"
                + "<!ELEMENT title (#PCDATA)>\n"
                + "<!ELEMENT pages (#PCDATA)>", null);

        instance.validate();

        assertTrue(instance.isValidationCorrect());
    }
}
