package cz.muni.fi.processor;

import junit.framework.TestCase;

/**
 *
 * @author Jiří Krejčí
 */
public class XSLProcessorTest extends TestCase {

    public XSLProcessorTest(String testName) {
        super(testName);
    }

    /**
     * Test of validate method, of class XSLProcessor.
     */
    public void testValidate() {
        System.out.println("* XSLProcessor: testValidate");
        XSLProcessor instance = new XSLProcessor("<?xml version=\"1.0\" encoding=\"utf-8\" ?>"
                + "<bookshell>"
                + "  <book>"
                + "    <author>J. K. Rowling</author>"
                + "    <title>Harry Potter</title>"
                + "    <pages>1000</pages>"
                + "  </book>"
                + "  <book>"
                + "    <author>O. G. Wells</author>"
                + "    <title>War of the worlds</title>"
                + "    <pages>876</pages>"
                + "  </book>"
                + "</bookshell>", "<?xml version=\"1.0\" encoding=\"utf-8\" ?>"
                + "<xsl:stylesheet version=\"2.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">"
                + ""
                + "  <xsl:template match=\"/\">"
                + "    <myFavoriteBooks>"
                + "      <xsl:for-each select=\"bookshell/book\">"
                + "        <book>"
                + "          <author><xsl:value-of select=\"author\"/></author>"
                + "          <title><xsl:value-of select=\"title\"/></title>"
                + "        </book>"
                + "      </xsl:for-each>"
                + "    </myFavoriteBooks>"
                + "  </xsl:template>"
                + "<xsl:output method=\"xml\" encoding=\"utf-8\" />"
                + "</xsl:stylesheet>", "<?xml version=\"1.0\" encoding=\"utf-8\"?>"
                + "<myFavoriteBooks>"
                + "  <book>"
                + "    <author>J. K. Rowling</author>"
                + "    <title>Harry Potter</title>"
                + "  </book>"
                + "  <book>"
                + "    <author>O. G. Wells</author>"
                + "    <title>War of the worlds</title>"
                + "  </book>"
                + "</myFavoriteBooks>");
        instance.validate();

        assertTrue(instance.isValidationCorrect());
    }
}
