package cz.muni.fi.user;

import cz.muni.fi.wicket.Application;
import cz.muni.fi.wicket.HomePage;
import cz.muni.fi.wicket.SignInSession;
import junit.framework.TestCase;
import org.apache.wicket.Session;
import org.apache.wicket.util.tester.FormTester;
import org.apache.wicket.util.tester.WicketTester;

/**
 *
 * @author Jiří Krejčí
 */
public class SignPanelTest extends TestCase {

    private WicketTester tester;

    public SignPanelTest() {
    }

    /**
     * Test of login nonexistent user, of class SignPanel.
     */
    public void testLoginNoUser() {

        System.out.println("* SignPanelTest: testLoginNoUser");

        tester = new WicketTester(new Application());

        tester.startPage(HomePage.class);

        FormTester ft = this.tester.newFormTester("signPanel:signInPanel:signInForm");
        ft.setValue("username", "wicket");
        ft.setValue("password", "wicketx");
        ft.submit();

        tester.assertErrorMessages(new String[]{"Sign in failed", "Přihlášení se nezdařilo."});


    }

    /**
     * Test of login user with username wicket and password wicket, of class
     * SignPanel.
     */
    public void testLoginWicketUser() {
        System.out.println("* SignPanelTest: testLoginWicketUser");

        tester = new WicketTester(new Application());

        tester.startPage(HomePage.class);

        FormTester ft = this.tester.newFormTester("signPanel:signInPanel:signInForm");
        ft.setValue("username", "wicket");
        ft.setValue("password", "wicket");
        ft.submit();

        tester.assertNoErrorMessage();

        SignInSession session = (SignInSession) Session.get();

        tester.assertLabel("signPanel:signInUser", "Přihlášený uživatel: <br />" + session.getUser().getFirstname()
                + " " + session.getUser().getLastname()
                + "<br />(" + session.getUser().getRoles().toString() + ")");

    }
}
