package cz.muni.fi.user;

import junit.framework.TestCase;
import org.apache.wicket.authroles.authorization.strategies.role.Roles;

/**
 *
 * @author Jiří Krejčí
 */
public class UserTest extends TestCase {

    public UserTest(String testName) {
        super(testName);
    }

    /**
     * Test of getID and setID methods, of class User.
     */
    public void testGetSetID() {
        System.out.println("* UserTest: testGetID() and testSetID()");
        User user = new User();
        user.setID(1);
        assertEquals(1, user.getID());
    }

    /**
     * Test of getUsername method, of class User.
     */
    public void testGetSetUsername() {
        System.out.println("* UserTest: testGetUsername() and testSetUsername()");
        User user = new User();
        user.setUsername("user");
        assertEquals("user", user.getUsername());
    }

    /**
     * Test of getPassword method, of class User.
     */
    public void testGetSetPassword() {
        System.out.println("* UserTest: testGetPassword() and testSetPassword()");
        User user = new User();
        user.setPassword("pass");
        assertEquals("pass", user.getPassword());
    }

    /**
     * Test of getFirstname method, of class User.
     */
    public void testGetSetFirstname() {
        System.out.println("* UserTest: testGetFirstname() and testSetFirstname()");
        User user = new User();
        user.setFirstname("name");
        assertEquals("name", user.getFirstname());
    }

    /**
     * Test of getLastname method, of class User.
     */
    public void testGetSetLasttname() {
        System.out.println("* UserTest: testGetLastname() and testSetLastname()");
        User user = new User();
        user.setLastname("name");
        assertEquals("name", user.getLastname());
    }

    /**
     * Test of getRole method, of class User.
     */
    public void testGetSetRole() {
        System.out.println("* UserTest: testGetRole() and testSetRole()");
        User user = new User();
        user.setRole("STUDENT");
        assertEquals("STUDENT", user.getRole());
        assertEquals((new Roles("STUDENT")), user.getRoles());
        assertEquals((new Roles("STUDENT")).toString(), user.getRoles().toString());
    }

    /**
     * Test of hasRole method, of class User.
     */
    public void testHasRole() {
        System.out.println("* UserTest: testHasRole()");
        User user = new User();
        user.setRole("");
        assertFalse(user.hasRole("ROLE"));
        user.setRole("STUDENT");
        assertTrue(user.hasRole("STUDENT"));
        user.setRoles(new Roles("STUDENT, TEACHER"));
        assertTrue(user.hasRole("STUDENT"));
        assertTrue(user.hasRole("TEACHER"));
    }

    /**
     * Test of hasAnyRole method, of class User.
     */
    public void testHasAnyRole() {
        System.out.println("* UserTest: testHasAnyRole()");
        User user = new User();
        user.setRoles(new Roles("STUDENT, TEACHER"));
        assertTrue(user.hasAnyRole(user.getRoles()));
    }

    /**
     * Test of isTeacher method, of class User.
     */
    public void testIsTeacher() {
        System.out.println("* UserTest: testIsTeacher()");
        User user = new User();
        user.setRoles(new Roles("TEACHER"));
        assertTrue(user.isTeacher());
    }
}